using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class BackgroundController : MonoBehaviour
{

    [SerializeField] private Image _image;

    [SerializeField] private float sliderFactor;

    [SerializeField] private float color = 255;

    
    // Update is called once per frame
    void Update()
    {
        if (Input.GetKey(KeyCode.O))
        {
            if (0 < color)
            {
                color -= Time.deltaTime * sliderFactor;
                _image.color = new Color32((byte) color, (byte) color, (byte) color, 255);
            }
            if (0 > color)
            {
                color = 0;
            }
        }
        else if (Input.GetKey(KeyCode.P))
        {
            if (255 > color)
            {
                color += Time.deltaTime * sliderFactor;
                _image.color = new Color32((byte) color, (byte) color, (byte) color, 255);
            }

            if (255 < color)
            {
                color = 255;
            }
        }
    }

    public void DimLights()
    {
        color = 0;
        _image.color = new Color32((byte) color, (byte) color, (byte) color, 255);
    }

    public void OpenLights()
    {
        color = 255;
        _image.color = new Color32((byte) color, (byte) color, (byte) color, 255);
    }
}
