﻿using System.Collections.Generic;
using UnityEngine;

public class Dance
{
    public Move[] DanceMoves { get; }

    public Dance(params Move[] moves)
    {
        DanceMoves = moves;
    }

    public class Move
    {
        public float DelayToPrevious { get; }
        public Vector3 Position { get; }
        public float Rotation { get; }
        public float Scale { get; }

        public Move(float delayToPrevious, Vector3 position, float rotation, float scale)
        {
            DelayToPrevious = delayToPrevious;
            Position = position;
            Rotation = rotation;
            Scale = scale;
        }
    }
}